Quassel IRC - Feature #391

doesn't auto-adjust nickname when already taken
11/06/2008 06:58 PM - apaku

Status: Resolved Start date: 01/13/2009
Priority: Normal Due date: 02/16/2009
Assignee: % Done: 100%
Category: Quassel Core Estimated time: 1.00 hour
Target version: 0.4.0

0S: Any

Description

It can happen that one is disconnected from an IRC network (for example 24h auto-disconnect on DSL), often the IRC servers don't
realize this until quite some time later and only then remove the nickname from the list. Obviously one wants to re-connect to the
network before that happens, other IRC clients automatically append or prepend underscores to the nick if the server tells them that
the nick is already taken.

Would be good to have this also available in quassel.

Associated revisions

Revision 7687144347370b830d3b8957bd223acb629fee83 - 02/14/2009 02:17 AM - Marcus Eggenberger

fixes #391 - appending underscores if all nicknames of the identity are unavailable

Revision 76871443 - 02/14/2009 02:17 AM - Marcus Eggenberger

fixes #391 - appending underscores if all nicknames of the identity are unavailable

History

#1 - 01/13/2009 09:54 PM - EgS

- Due date set to 02/16/2009

- Status changed from New to Confirmed
- Priority changed from High to Normal

- Start date set to 01/13/2009

- Estimated time set to 1.00 h

#2 - 02/11/2009 01:31 AM - EgS
- Target version set to 0.4.0

- OS set to Any

#3 - 02/11/2009 04:23 PM - Sputnick

This happens already if you specified alternative nicknames in your identity. | think the default identity should contain 2 or 3 variations (using
underscores for example).

#4 - 02/14/2009 01:02 PM - EgS
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset 7687144347370b830d3b8957bd223acb629fee83.
